set echo off
prompt Bezig met installeren van opoo10 ...
set termout off
set feedback off
create table notas_normaal
( id int primary key
, klantnummer int
, datum date
, bedrag number(8,2)
)
/
create table notas_gepartitioneerd
( id int primary key
, klantnummer int
, datum date
, bedrag number(8,2)
) partition by range (datum)
  ( partition p1 values less than (date '2000-01-01')
  , partition p2 values less than (date '2001-01-01')
  , partition p3 values less than (date '2002-01-01')
  , partition p4 values less than (date '2003-01-01')
  , partition p5 values less than (date '2004-01-01')
  , partition p6 values less than (date '2005-01-01')
  , partition p7 values less than (date '2006-01-01')
  , partition p8 values less than (date '2007-01-01')
  , partition p9 values less than (date '2008-01-01')
  , partition p10 values less than (maxvalue)
  )
/
insert /*+ append */ into notas_normaal
 select level
      , ceil(level/100)
      , date '1999-01-01' + mod(level,3650)
      , 5 + mod(level,10)
   from dual
connect by level <= 100000
/
insert /*+ append */ into notas_gepartitioneerd
 select level
      , ceil(level/100)
      , date '1999-01-01' + mod(level,3650)
      , 5 + mod(level,10)
   from dual
connect by level <= 100000
/
create index i1 on notas_normaal(klantnummer,datum)
/
create index i2 on notas_gepartitioneerd(klantnummer,datum) local
/
exec dbms_stats.gather_table_stats(user,'notas_normaal',cascade=>true)
exec dbms_stats.gather_table_stats(user,'notas_gepartitioneerd',cascade=>true)
set termout on
set feedback on
prompt Klaar!