set echo off
prompt Bezig met installeren van opoo3 ...
set feedback off
set termout off
create table opoo3_t
as
 select level id
      , case 
        when level <= 50000 then ceil(level/100)
        else 0
        end status
      , lpad('*',100,'*') omschrijving
   from dual
connect by level <= 100000
/
alter table opoo3_t add constraint opoo3_t_pk primary key (id)
/
create index opoo3_i_status on opoo3_t(status)
/
exec dbms_stats.gather_table_stats(user,'opoo3_t',cascade=>true,method_opt=>'FOR COLUMNS STATUS')
create procedure opoo3
is
  cursor c
  is
  select distinct status
    from opoo3_t t
   order by status
  ;
begin
  for r in c
  loop
    update opoo3_t
       set omschrijving = 'Nieuwe omschrijving bij status ' || to_char(status)
     where status = r.status
    ;
  end loop;
end opoo3;
/
set feedback on
set termout on
prompt Klaar!
